//*****************************************
// AVR ATtiny13A LED Blink Program
// CPU Clock:9.6MHz
//  File Name: Led_Blink_Tiny13.c
//@LED (PB0) Blink 20Times Program
//   1:Light ON, 0:Light OFF
//
//@kdcioaOjQO_łvO
//@@PF_A@OF
//
//@q[Yf[^
//   EŁAXDUlgIV[^ɂ
//@@ixq[Yf[^ǂݏoā@bjchuW̃`FbN͂Ăirohdm`FbNj
//@@@炽߂ďށj
//
//@J
//@@u`uq@r@SDPUv
//@@bRpCFuv`uqviv`uq|QOOPPO|DŃCXg[j
//@@ݑuF`uqhro@U
//  2013/11/19 New
//*****************************************

#include	<avr/io.h>



volatile unsigned int	wait_i;
volatile unsigned char	wait_us;

// ************************************
// Delay 2uS
//  t: x2uS (max 255)
//  CPU Clock:9.6MHz
// ************************************
void delay_2us(unsigned char t)
{
	while(t-- != 0){
		wait_us++;				// 1uS Delay??
		wait_us++;				// 1uS Delay??
		wait_us++;				// 1uS Delay??
	}
}
// ************************************
// Delay 50uS
//  CPU Clock:9.6MHz
// ************************************
void	delay_50us()
{
	delay_2us(50/2);
}
//***************************
// Wait
//  tm : Wait Time(ms) max. 8000
//  CPU Clock:9.6MHz
//***************************
void	delay_ms(int tm)
{

	tm *= 4;
	for(wait_i = 0; wait_i < tm; wait_i++){
		delay_2us(250/2);
	}
}

//***************************
// Main
//***************************
int	main(void)
{
	unsigned char	i;


	DDRB = 0xdf;				// PORTB PB5 INPUT other OUTPUT
	PORTB = 0x1e;
	delay_ms(250);				// 250mS Delay

	for(i=0;i<20;i++){
		PORTB = 0x01;
		delay_ms(500);			// 500mS Delay
		PORTB = 0x00;
		delay_ms(500);			// 500mS Delay
	}

	while(1){
		;
	}
}
